Hi,

At Fri, 29 Oct 2004 18:28:58 +0900,
gabriele renzi wrote in [ruby-talk:118231]:
> > Extensions compiled with mingw32 are binary compatible with
> > mswin32 ruby.

At first, correction.

| Extensions compiled with mingw32 are binary compatible with
| mswin32-vc[56] ruby.

BTW, the runtime DLL of VC7 is freely redistributable with
ruby?

> you mean I *should expect* this and report different experiences as a bug?
> Cause I actually had libraries that caused segfaults when compiled with 
> mingw and used with the one click installer(I recall that the 
> StrongTyping module did this).

Hmmm, it's a difficult point.

> Should I report my problems here, if that happens or is this matter of 
> the mingw team?

In general, ruby-core will be better, or the bug tracker on
rubyforge:

  http://rubyforge.org/projects/ruby
  http://rubyforge.org/tracker/?group_id=426

-- 
Nobu Nakada